#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2c12fa37, "struct_module" },
	{ 0xa9fd60ef, "usbnet_resume" },
	{ 0xd434cb99, "usbnet_suspend" },
	{ 0xd497bad5, "usbnet_disconnect" },
	{ 0xa72b1eb5, "usbnet_probe" },
	{ 0x80ce55bd, "usbnet_nway_reset" },
	{ 0x7dae69ae, "usbnet_set_msglevel" },
	{ 0x1c1be618, "usbnet_get_msglevel" },
	{ 0xaec0d4b8, "usbnet_set_settings" },
	{ 0xcc078788, "usbnet_get_settings" },
	{ 0x7a9b4297, ".usb_register_driver" },
	{ 0x86c3acc9, ".usb_deregister" },
	{ 0x84bf5889, ".netif_carrier_off" },
	{ 0x8a020ee2, ".usbnet_defer_kevent" },
	{ 0xf18aa1b4, ".netif_carrier_on" },
	{ 0x3e040af2, ".usbnet_unlink_rx_urbs" },
	{ 0x6c09eeab, ".skb_pull" },
	{ 0x76fa6fe7, ".usbnet_skb_return" },
	{ 0xb61a014b, ".skb_clone" },
	{ 0x4ccf3fb9, ".skb_put" },
	{ 0x4d584400, ".skb_push" },
	{ 0x3cf73728, ".dev_kfree_skb_any" },
	{ 0xd763be14, ".skb_copy_expand" },
	{ 0x5dbbe98e, ".memmove" },
	{ 0x9b68fa07, ".mii_nway_restart" },
	{ 0x9eb52180, ".usbnet_get_endpoints" },
	{ 0x716af6c1, ".mutex_unlock" },
	{ 0x7b4882ac, ".mutex_lock" },
	{ 0x9af8272b, ".generic_mii_ioctl" },
	{ 0xfaf98462, ".bitrev32" },
	{ 0x92ea4ae4, ".crc32_le" },
	{ 0x8f8a462b, ".usb_submit_urb" },
	{ 0x4b1f3108, ".kmem_cache_alloc" },
	{ 0x6a0468dc, ".usb_alloc_urb" },
	{ 0x4abe477d, "malloc_sizes" },
	{ 0x8dc6c1b6, ".usb_free_urb" },
	{ 0x7ec9bfbc, ".strncpy" },
	{ 0x4743faa4, ".usbnet_get_drvinfo" },
	{ 0xe1c4de58, ".mii_link_ok" },
	{ 0xf9a482f9, ".msleep" },
	{ 0xd1ba6d7d, ".mii_ethtool_gset" },
	{ 0x3a6e99dd, ".mii_check_media" },
	{ 0xea147363, ".printk" },
	{ 0x37a0cba, ".kfree" },
	{ 0xb76bd6e1, ".usb_control_msg" },
	{ 0x6067a146, ".memcpy" },
	{ 0x5a34a45c, ".__kmalloc" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,mii";

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "5524C21A431CD3CDE67401C");
