#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2c12fa37, "struct_module" },
	{ 0xf7828102, "rt2x00usb_resume" },
	{ 0x6d2f9b3e, "rt2x00usb_suspend" },
	{ 0xa903da81, "rt2x00usb_disconnect" },
	{ 0x94ac480a, "rt2x00usb_probe" },
	{ 0x9d20d643, "rt2x00mac_get_tx_stats" },
	{ 0xc80f4988, "rt2x00mac_conf_tx" },
	{ 0xe792b77d, "rt2x00mac_get_stats" },
	{ 0xc24cc26a, "rt2x00mac_configure_filter" },
	{ 0xf16a7113, "rt2x00mac_bss_info_changed" },
	{ 0x7f57dd39, "rt2x00mac_config_interface" },
	{ 0xc03d9a2a, "rt2x00mac_config" },
	{ 0xeb11e611, "rt2x00mac_remove_interface" },
	{ 0xa907e490, "rt2x00mac_add_interface" },
	{ 0x6a8b7f7d, "rt2x00mac_stop" },
	{ 0x1b05487a, "rt2x00mac_start" },
	{ 0x1d01be20, "rt2x00mac_tx" },
	{ 0x20f18d6e, "rt2x00usb_write_tx_data" },
	{ 0xefecb87c, "rt2x00usb_init_txentry" },
	{ 0xcbb26d10, "rt2x00usb_init_rxentry" },
	{ 0xb2240215, "rt2x00usb_uninitialize" },
	{ 0xfe1eb90e, "rt2x00usb_initialize" },
	{ 0x7a9b4297, ".usb_register_driver" },
	{ 0x86c3acc9, ".usb_deregister" },
	{ 0x79aa04a2, ".get_random_bytes" },
	{ 0xf2f4a593, ".rt2x00usb_disable_radio" },
	{ 0xf9a482f9, ".msleep" },
	{ 0xe664e3e2, ".rt2x00usb_vendor_request" },
	{ 0x4a0e900d, ".kfree_skb" },
	{ 0x8f8a462b, ".usb_submit_urb" },
	{ 0x4d584400, ".skb_push" },
	{ 0x1ee70eec, ".rt2x00usb_kick_tx_queue" },
	{ 0x6842b63f, ".skb_trim" },
	{ 0x6067a146, ".memcpy" },
	{ 0x716af6c1, ".mutex_unlock" },
	{ 0x7b4882ac, ".mutex_lock" },
	{ 0xa39b4cf2, ".udelay" },
	{ 0x38d81e1c, ".rt2x00usb_vendor_req_buff_lock" },
	{ 0xea147363, ".printk" },
	{ 0xb40b7e7e, ".rt2x00usb_vendor_request_buff" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00usb,rt2x00lib";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp705Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2573d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "AD8E2BCA3358253E6D332D1");
